apiVersion: policy.open-cluster-management.io/v1
kind: Policy
metadata:
  name: talm-policy
  namespace: talm-namespace
  creationTimestamp: 2022-11-18T16:27:14Z
  generation: 1
  managedFields:
  resourceVersion: "40431546"
  uid: ba3ad15f-22e9-46a8-a576-e2f529918c9e
spec:
  disabled: false
  policy-templates:
    - objectDefinition:
        apiVersion: policy.open-cluster-management.io/v1
        kind: ConfigurationPolicy
        metadata:
          name: talm-policy-config
          creationTimestamp:
        spec:
          evaluationInterval:
            compliant: 10s
            noncompliant: 10s
          namespaceSelector:
            exclude:
              - "*"
            include:
              - kube-*
          object-templates:
            - complianceType: Musthave
              objectDefinition:
                apiVersion: operators.coreos.com/v1alpha1
                kind: CatalogSource
                metadata:
                  name: talm-catsrc
                  namespace: talm-namespace-temp
                  creationTimestamp:
                spec:
                  description: a catalog source created by the talm tests
                  displayName: talm-catsrc
                  icon:
                    base64data: ""
                    mediatype: ""
                  priority: 1
                  publisher: cnf-gotests/test/ran/talm
                  sourceType: internal
                status: {}
          remediationAction: Inform
          severity: low
        status: {}
  remediationAction: Inform
status:
  compliant: NonCompliant
  placement:
    - placementBinding: talm-placement-binding
      placementRule: talm-placement-rule
      policySet: talm-policyset
  status:
    - clustername: spoke1
      clusternamespace: spoke1
      compliant: Compliant
    - clustername: spoke2
      clusternamespace: spoke2
      compliant: NonCompliant

